## CORBA Interface IProcessJobNodeDefaultValue

### Definition

CORBA Module DFProcessFlow

### IProcessJobNodeDefaultValue Description

CORBA Definitions
attribute ColumnCount |
attribute Name |
attribute NullMacroFlag |
attribute RowCount |
attribute Type |
method AddColumn |
method AddRow |
method Clear |
method Close |
method DeleteColumn |
method DeleteRow |
method GetColumnName |
method GetValue |
method SetValue |

Java Classes
IProcessJobNodeDefaultValueHelper | Used to manipulate the IProcessJobNodeDefaultValue type
IProcessJobNodeDefaultValueHolder | Used to process the IProcessJobNodeDefaultValue type as an out parameter

Java Interfaces
IProcessJobNodeDefaultValue |

Java Interface IProcessJobNodeDefaultValue

Package com.sas.iom.DFProcessFlow

IProcessJobNodeDefaultValue Description

`public interface IProcessJobNodeDefaultValue
extends org.omg.CORBA.Object`

Method Summary

int | AddColumn ( java.lang.String name ) throws ( GenericError );
int | AddRow ( ) throws ( GenericError );
void | Clear ()
void | Close ()
void | DeleteColumn ( int index ) throws ( GenericError );
void | DeleteRow ( int index ) throws ( GenericError );
java.lang.String | GetColumnName ( int index ) throws ( GenericError );
java.lang.String | GetValue ( int row , int column ) throws ( GenericError );
void | SetValue ( int row , int column , java.lang.String value ) throws ( GenericError );

Java Class IProcessJobNodeDefaultValueHelper

public class IProcessJobNodeDefaultValueHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IProcessJobNodeDefaultValue type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessJobNodeDefaultValueHelper

Java Class IProcessJobNodeDefaultValueHolder

public class IProcessJobNodeDefaultValueHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IProcessJobNodeDefaultValue type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessJobNodeDefaultValueHolder

CORBA Attribute ColumnCount (readonly)

Description

Usage

Java Method ColumnCount

    public int ColumnCount ();

CORBA Attribute Name (readonly)

Description

Usage

Java Method Name

    public java.lang.String Name ();

CORBA Attribute NullMacroFlag

Description

Usage

Java Method NullMacroFlag

    public boolean NullMacroFlag ();
    public void NullMacroFlag ( boolean NullMacroFlag );

CORBA Attribute RowCount (readonly)

Description

Usage

Java Method RowCount

    public int RowCount ();

CORBA Attribute Type

Description

Usage

Java Method Type

    public VariableType Type ();
    public void Type ( VariableType Type );

CORBA Method AddColumn

Description

Usage

Java Method AddColumn

`int` AddColumn (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method AddRow

Description

Usage

Java Method AddRow

`int` AddRow (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method Clear

Description

Usage

Java Method Clear

`void` Clear ( )

Example

CORBA Method Close

Description

Usage

Java Method Close

`void` Close ( )

Example

CORBA Method DeleteColumn

Description

Usage

Java Method DeleteColumn

`void` DeleteColumn (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method DeleteRow

Description

Usage

Java Method DeleteRow

`void` DeleteRow (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method GetColumnName

Description

Usage

Java Method GetColumnName

`java.lang.String` GetColumnName (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method GetValue

Description

Usage

Java Method GetValue

`java.lang.String` GetValue (

        int row ,
        int column
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
row | in | int |
column | in | int |

Example

CORBA Method SetValue

Description

Usage

Java Method SetValue

`void` SetValue (

        int row ,
        int column ,
        java.lang.String value
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
row | in | int |
column | in | int |
value | in | java.lang.String |

Example